<?php  
require "../Run.php";
/*权限判定*/
if($admin != 1&&$admin !=2 && $admin!=4&& !is_bbsadmin(MYID)){
	ehtml("您的权限不足");
	exit;
}

/*目录创建*/
if(!is_dir(root_path.'/lib/'.WAPID)){
	mkdir(root_path.'/lib/'.WAPID);
}

if(!is_file("../lib/".WAPID."/bbscomm_".$_GET['cid'].".txt")){
	file_put_contents("../lib/".WAPID."/bbscomm_".$_GET['cid'].".txt",NULL);
}
$bbscomm_str = explode("|",file_put_contents("../lib/".WAPID."/bbscomm_".$_GET['cid'].".txt"));
$randcomm = $bbscomm_str[array_rand($arr)];
if($_GET['act'] == 'list_adminer'){
echo head("版主列表") ;
include "include/include/fun/list_adminer.php";
echo footer(1);
exit;
}elseif($_GET['act'] == 'stop_ask'){
echo head("禁言名单") ;
include "include/include/fun/stop_ask.php";
echo footer(1);
exit;
}elseif($_GET['act'] == 'bbscomm'){
echo head("默认回复") ;
include "include/include/fun/bbscomm.php";
echo footer(1);
exit;
}elseif($_GET['act'] == 'listcfg'){
echo head("回复设置");
include "include/include/fun/listcfg.php";
echo footer(1);
exit;
}elseif($_GET['act'] == 'list_adminer'){
echo head("屏蔽字符") ;
include "include/include/fun/list_adminer.php";
echo footer(1);
exit;
}elseif($_GET['act'] == 'list_adminer'){
echo head("论坛公告") ;
include "include/include/fun/list_adminer.php";
echo footer(1);
exit;
}elseif($_GET['act'] == 'list_adminer'){
echo head("投诉信箱") ;
include "include/include/fun/list_adminer.php";
echo footer(1);
exit;
}
?>
<?php  echo head("本版版务");?>
<div class="content">
【<a href="?cid=<?php  echo $_GET['cid'] ;?>&act=list_adminer">版主列表</a>】<br>
【<a href="?cid=<?php  echo $_GET['cid'] ;?>&act=stop_ask">禁言名单</a>】<br>
【<a href="?cid=<?php  echo $_GET['cid'] ;?>&act=bbscomm">默认回复</a>】<br>
【<a href="?cid=<?php  echo $_GET['cid'] ;?>&act=listcfg">回复设置</a>】<br>
【<a href="?cid=<?php  echo $_GET['cid'] ;?>&act=stop_str">禁言名录</a>】<br>
【<a href="?cid=<?php  echo $_GET['cid'] ;?>&act=bbs_gg">论坛公告</a>】<br>
【<a href="?cid=<?php  echo $_GET['cid'] ;?>&act=bbs_ts">投诉信箱</a>】
</div>
<div class="mylink"><a href="http://<?php  echo HTTP_HOST;?>/bbs/list.php?cid=<?php  echo $_GET['cid'] ;?>">论坛列表</a></div>
<?php  echo footer(1);?>